import * as KMS from '@aws-sdk/client-kms';
import { ILogger } from 'typescript-ilogger';
import { BaseClass } from 'typescript-helper-functions';
import { IKMSHelper } from './interface';
export declare class KMSHelper extends BaseClass implements IKMSHelper {
    private Repository;
    constructor(logger: ILogger, repository?: KMS.KMS, options?: KMS.KMSClientConfig);
    DecryptAsync(encryptedValue: string): Promise<KMS.DecryptResponse>;
    EncryptAsync(unencryptedValue: string): Promise<KMS.EncryptResponse>;
}
